Subject: bug#19940: 25.0.50; Infinite loop in `studlify-word' with Subword mode

From: Marcin Borkowski <[email-masked]>
Date: Sun, 03 Apr 2016 18:07:54 +0200

On 2016-04-03, at 16:43, Eli Zaretskii <[email-masked]> wrote:

>> From: Marcin Borkowski <[email-masked]>
>> Date: Sun, 03 Apr 2016 05:49:10 +0200
>> Cc: [email-masked]
>> 
>> One possible solution would be to temporarily switch `subword-mode' off
>> in `studlify-region'.  Given the nonsensicality of the latter, and the
>> fact that it breaks studlyCapsIdentifiers anyway, this might be the
>> preferred solution.  If nobody proposes anything better, I'll tryto
>> prepare such a patch within a few days.
>
> Actually, the right solution is described in this NEWS entry:
>
>   ** The new implementation of Subword mode affects word movement everywhere.
>   When Subword mode is turned on, 'forward-word', 'backward-word', and
>   everything that uses them will move by sub-words, effectively
>   overriding the buffer's syntax table.  Lisp programs that shouldn't be
>   affected by Subword mode should call the new functions
>   'forward-word-strictly' and 'backward-word-strictly' instead.
>
> At the time I wrote this NEWS entry, I reviewed all the callers of
> forward/backward-word and changed those which I thought needed that; I
> guess I missed studly.el at that time.  Sorry about that.

Ah, good to know.  I suspected that such function would exist, but was
too lazy to actually find out - sorry!

I'll make a patch tomorrow.

> Thanks.

Best,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University